.parent{
    height: 2800px;
    position: relative;
}
.decoration1{
    position: absolute;
    height: 2500px;
    bottom: 0;
}
.decoration2{
    position: absolute;
    height: 2000px;
    bottom: 0;
}
.decoration3{
    position: absolute;
    height: 1500px;
    bottom: 0;
}
.decoration1 .square{
    height: 200px;
    width: 300px;
    background-color: aquamarine;
    position: sticky;
    top: 10px;
    left: 300px;
    z-index:1;
}
.decoration2 .square{
    width: 400px;
    height: 100px;
    background-color: bisque;
    position: sticky;
    top: 70px;
    left: 400px;

}
.decoration3 .square{
    width: 200px;
    height: 200px;
    background-color: blue;
    position: sticky;
    top: 50px;
    left: 700px;
}